## lxqt-sudo 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-sudo)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# Minimum Versions
set(LXQT_MINIMUM_VERSION "2.2.0")
set(QT_MINIMUM_VERSION "6.6.0")

find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt${Qt6Core_VERSION}")

# Patch version 0

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

set ( LINK_LXSU "lxsu")
set ( LINK_LXSUDO "lxsudo")
set ( LINK_LXDOAS "lxdoas")

set ( HDRS
    passworddialog.h
)

set ( SRCS
    passworddialog.cpp
    sudo.cpp
    main.cpp
)

set ( MOCS
    passworddialog.h
)

set( UIS
    passworddialog.ui
)

# Translations **********************************
include(LXQtTranslate)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${HDRS}
        ${SRCS}
        ${UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(SRCS ${PROJECT_NAME})
#************************************************

add_executable(lxqt-sudo
    ${SRCS}
    ${DESKTOP_FILES}
    ${QM_FILES}
)

target_link_libraries(lxqt-sudo
    Qt6::Widgets
    util
    lxqt
    -pthread
)

target_compile_definitions(lxqt-sudo
    PRIVATE "LXQTSUDO_SUDO=\"sudo\""
    PRIVATE "LXQTSUDO_SU=\"su\""
    PRIVATE "LXQTSUDO_DOAS=\"doas\""
    PRIVATE "LXQTSUDO=\"lxqt-sudo\""
    PRIVATE "LXQTSUDO_LXSU=\"${LINK_LXSU}\""
    PRIVATE "LXQTSUDO_LXSUDO=\"${LINK_LXSUDO}\""
    PRIVATE "LXQTSUDO_LXDOAS=\"${LINK_LXDOAS}\""
    PRIVATE "LXQT_VERSION=\"${LXQT_VERSION}\""
)

foreach(LINK IN ITEMS ${LINK_LXSU} ${LINK_LXSUDO} ${LINK_LXDOAS})
    add_custom_command(TARGET lxqt-sudo POST_BUILD
        COMMAND ln -f -s lxqt-sudo "${LINK}"
        WORKING_DIRECTORY .
        COMMENT "Creating ${LINK} symlink"
    )
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/${LINK}"
        DESTINATION "${CMAKE_INSTALL_BINDIR}"
        COMPONENT Runtime
    )
    install(FILES
        "man/${LINK}.1"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
        COMPONENT Runtime
    )
endforeach()

install(TARGETS
    lxqt-sudo
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    man/lxqt-sudo.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-sudo (2.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 14 Aug 2025 00:14:48 +0800

lxqt-sudo (2.2.0-1~exp1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/upstream: Fix broken signing-key.asc

  [ Macy Lin ]
  * New upstream version 2.2.0
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Fri, 08 Aug 2025 11:06:03 +0200

lxqt-sudo (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * build-deps on liblxqt-dev (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Fri, 06 Dec 2024 15:13:53 +0100

lxqt-sudo (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:33:14 +0100

lxqt-sudo (2.0.0-1~exp1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.0.0

  [ Severus Septimius ]
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev

  [ Andrew Lee (李健秋) ]
  * Removing whitespaces at EOL and EOF.
  * debian/copyright: update.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: recommends on lxqt-qtplugin (>= 2.0.0~).
  * debian/control: build-deps on libglib2.0-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 14:34:31 +0200

=== debian/control ===
Source: lxqt-sudo
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.2.0~),
               lxqt-build-tools (>= 2.2.0~),
               qt6-tools-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-sudo
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
Homepage: https://github.com/lxqt/lxqt-sudo
Rules-Requires-Root: no

Package: lxqt-sudo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-qtplugin (>= 2.0.0~), lxqt-sudo-l10n
Description: Graphical Qt frontend for plain sudo
 lxqt-sudo is a graphical Qt frontend for plain sudo(8) (for requesting
 optional password in GUI fashion). When invoked it simply spawns child sudo
 process with requested command (and arguments). If sudo requests user's
 password, the GUI password dialog is shown and (after submit) the password is
 provided to sudo.

Package: lxqt-sudo-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-sudo
 The l10n files for lxqt-sudo.
 .
 This package contains the l10n files needed by lxqt-sudo.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## lxqt-sudo 2.3.0

=== debian/changelog ===
lxqt-sudo (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Macy Lin ]
  * New upstream version 2.3.0
  * debian/copyright: update copyright year.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).
  * debian/control: recommends on lxqt-qtplugin (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Thu, 18 Dec 2025 15:00:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.2.0~),
-               lxqt-build-tools (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-tools-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-sudo
@@ -20,7 +20,7 @@
 Package: lxqt-sudo
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lxqt-qtplugin (>= 2.0.0~), lxqt-sudo-l10n
+Recommends: lxqt-qtplugin (>= 2.3.0~), lxqt-sudo-l10n
 Description: Graphical Qt frontend for plain sudo
  lxqt-sudo is a graphical Qt frontend for plain sudo(8) (for requesting
  optional password in GUI fashion). When invoked it simply spawns child sudo
